package ac.essex.ooechs.imaging.commons;

import ac.essex.gp.Evolve;

/**
 * <p>
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version,
 * provided that any use properly credits the author.
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details at http://www.gnu.org
 * </p>
 *
 * @author Olly Oechsle, University of Essex, Date: 24-Oct-2008
 * @version 1.0
 */
public class Test {


   public static void main(String[] args) {
       int[] array = new int[10];
        for (int i = 0; i < 1000; i++) {
            // find the ranges of depths that we can use
            int depthRange = 6 - 2 + 1;
            // choose what the max depth should be
            int D = 2 + (int) (Evolve.getRandomNumber() * depthRange);
            array[D]++;
        }
       for (int i = 0; i < array.length; i++) {
           int i1 = array[i];
           System.out.println(i + ":  " + i1);
       }
    }

}
