package ac.essex.ooechs.imaging.commons.thresholding;

import ac.essex.ooechs.imaging.commons.PixelLoader;
import ac.essex.ooechs.imaging.commons.util.panels.ScalingImageFrame;

import java.awt.image.BufferedImage;
import java.awt.*;

/**
 * Created by IntelliJ IDEA.
 * User: ooechs
 * Date: 03-Dec-2008
 * Time: 15:05:41
 * To change this template use File | Settings | File Templates.
 */
public class Segmentation {

    public static void main(String[] args) throws Exception {

        new Segmentation();

        

/*        Thresholder t = new EntropyThresholder(20);

            t.addData(4);
            t.addData(5);
            t.addData(5);
            t.addData(6);

            t.addData(14);
            t.addData(15);
            t.addData(15);
            t.addData(16);


        System.out.println(t.getOptimalThreshold());*/

    }

    public Segmentation() throws Exception {

        PixelLoader image = new PixelLoader(getClass().getResource("/airplane.jpg").openStream());
        Thresholder t = new MixtureModellingThresholder(255);
        for (int y = 0; y < image.getHeight(); y++) {
            for (int x = 0; x < image.getWidth(); x++) {
                int value = image.getGreyValue(x, y);
                t.addData(value);
            }
        }
        int threshold = t.getOptimalThreshold();

        BufferedImage img = t.threshold(image, threshold);

        System.out.println("Threshold: " + threshold);

        new ScalingImageFrame(img);
        
    }


}
